LOBTest.RealInputStream (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class LOBTest.RealInputStream

- java.lang.Object
- - java.io.InputStream
  - - net.sourceforge.jtds.jdbc.LOBTest.RealInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    LOBTest

      static class LOBTest.RealInputStream
      extends java.io.InputStream

  Implements an `InputStream` that only returns a limited number of bytes on read (less than the requested number of bytes).

  Used for testing `Blob` insert behavior.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `LENGTH` Length of the stream.
    `private int` | `pos` Current position in the stream.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOBTest.RealInputStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LENGTH

          static final int LENGTH

      Length of the stream.
      See Also:
        Constant Field Values

    - #### pos

          private int pos

      Current position in the stream.

  - ### Constructor Detail

    - #### LOBTest.RealInputStream

          LOBTest.RealInputStream()

  - ### Method Detail

    - #### read

          public int read()

      Specified by:
        `read` in class `java.io.InputStream`

    - #### read

          public int read(byte[] b)

      Overrides:
        `read` in class `java.io.InputStream`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)

      Overrides:
        `read` in class `java.io.InputStream`

Generated on June 8 2013